aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--jjb/common/include-apps-build-app.sh8
-rw-r--r--jjb/common/include-apps-prepare-upload-folder-merged.sh33
-rw-r--r--jjb/common/include-apps-prepare-upload-folder.sh31
3 files changed, 62 insertions, 10 deletions
diff --git a/jjb/common/include-apps-build-app.sh b/jjb/common/include-apps-build-app.sh
index a6626302..089a4ecd 100644
--- a/jjb/common/include-apps-build-app.sh
+++ b/jjb/common/include-apps-build-app.sh
@@ -74,9 +74,14 @@ if [[ ! x"yes" = x"$HANDLED" ]] && $(echo "$TARGETPROJECT" | grep -q "apps/"); t
# Fixme: use aglbuild script
set -x
export DONE=0
+ export isAUTOBUILD=0
+ export isCMAKE=0
+ export isMAKE=0
+ export isQMAKE=0
if test x"0" = x"$DONE" -a -f conf.d/autobuild/agl/autobuild ; then
mkdir -p $(pwd)/package/
conf.d/autobuild/agl/autobuild package DEST=$(pwd)/package/
+ export isAUTOBUILD=1
export DONE=1
fi
if test x"0" = x"$DONE" -a -f CMakeLists.txt; then
@@ -87,17 +92,20 @@ if [[ ! x"yes" = x"$HANDLED" ]] && $(echo "$TARGETPROJECT" | grep -q "apps/"); t
make
make package || true
popd
+ export isCMAKE=1
export DONE=1
fi
if test x"0" = x"$DONE" -a -f Makefile ; then
make
make package
+ export isMAKE=1
export DONE=1
fi
if test x"0" = x"$DONE" -a -f ${MYPROJECT}.pro; then
qmake
make
make package
+ export isQMAKE=1
export DONE=1
fi
popd
diff --git a/jjb/common/include-apps-prepare-upload-folder-merged.sh b/jjb/common/include-apps-prepare-upload-folder-merged.sh
index ced33d28..a5dc0152 100644
--- a/jjb/common/include-apps-prepare-upload-folder-merged.sh
+++ b/jjb/common/include-apps-prepare-upload-folder-merged.sh
@@ -43,14 +43,37 @@ export DEST=$(pwd)/UPLOAD/${PROJECTPATTERN}
# copy the wgt to the upload folder
pushd ${MYPROJECT}
pwd
-if test -d build/package ; then
+
+if test x"$isCMAKE" = x"1" ; then
+ echo "isCMAKE"
# use cmake build/package folder for wgt's ...
ls build/package/ || true
cp build/package/*.wgt $DEST
-else
- # use just ./package/ for wgt's
- ls package || true
- cp package/*.wgt $DEST
fi
+if test x"$isAUTOBUILD" = x"1" ; then
+ echo "isAUTOBUILD"
+ if [ "$(ls -l package/*.wgt | wc -l)" = "1" ] ; then
+ # use just ./package/ for wgt's
+ ls package || true
+ cp package/*.wgt $DEST
+ elif [ "$(ls -l build/package/*.wgt | wc -l)" = "1" ] ; then
+ # use just ./build/package/ for wgt's
+ ls build/package || true
+ cp build/package/*.wgt $DEST
+ fi
+fi
+if test x"$isMAKE" = x"1" ; then
+ echo "isMAKE"
+ # use just ./package/ for wgt's
+ ls package || true
+ cp package/*.wgt $DEST
+fi
+if test x"$isQMAKE" = x"1" ; then
+ echo "isQMAKE"
+ # use just ./package/ for wgt's
+ ls package || true
+ cp package/*.wgt $DEST
+fi
+
popd
diff --git a/jjb/common/include-apps-prepare-upload-folder.sh b/jjb/common/include-apps-prepare-upload-folder.sh
index dc2f8bf0..83b939a3 100644
--- a/jjb/common/include-apps-prepare-upload-folder.sh
+++ b/jjb/common/include-apps-prepare-upload-folder.sh
@@ -25,14 +25,35 @@ pushd ${MYPROJECT}
pwd
ls -alh
-if test -d build/package ; then
+if test x"$isCMAKE" = x"1" ; then
+ echo "isCMAKE"
# use cmake build/package folder for wgt's ...
ls build/package/ || true
cp build/package/*.wgt $DEST
-else
- # use just ./package/ for wgt's
- ls package || true
- cp package/*.wgt $DEST
+fi
+if test x"$isAUTOBUILD" = x"1" ; then
+ if [ "$(ls -l package/*.wgt | wc -l)" = "1" ] ; then
+ echo "isAUTOBUILD"
+ # use just ./package/ for wgt's
+ ls package || true
+ cp package/*.wgt $DEST
+ elif [ "$(ls -l build/package/*.wgt | wc -l)" = "1" ] ; then
+ # use just ./build/package/ for wgt's
+ ls build/package || true
+ cp build/package/*.wgt $DEST
+ fi
+fi
+if test x"$isMAKE" = x"1" ; then
+ echo "isMAKE"
+ # use just ./package/ for wgt's
+ ls package || true
+ cp package/*.wgt $DEST
+fi
+if test x"$isQMAKE" = x"1" ; then
+ echo "isQMAKE"
+ # use just ./package/ for wgt's
+ ls package || true
+ cp package/*.wgt $DEST
fi